pedroremedios

flutter create apk -v

Jul 10th, 2021
26
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. [ +103 ms] executing: [d:\WebProjects\utils\flutter/] git -c log.showSignature=false log -n 1 --pretty=format:%H
  2. [+1056 ms] Exit code 0 from: git -c log.showSignature=false log -n 1 --pretty=format:%H
  3. [ +1 ms] f4abaa0735eba4dfd8f33f73363911d63931fe03
  4. [ +1 ms] executing: [d:\WebProjects\utils\flutter/] git tag --points-at f4abaa0735eba4dfd8f33f73363911d63931fe03
  5. [ +135 ms] Exit code 0 from: git tag --points-at f4abaa0735eba4dfd8f33f73363911d63931fe03
  6. [ ] 2.2.3
  7. [ +7 ms] executing: [d:\WebProjects\utils\flutter/] git rev-parse --abbrev-ref --symbolic @{u}
  8. [ +99 ms] Exit code 0 from: git rev-parse --abbrev-ref --symbolic @{u}
  9. [ ] origin/stable
  10. [ ] executing: [d:\WebProjects\utils\flutter/] git ls-remote --get-url origin
  11. [ +84 ms] Exit code 0 from: git ls-remote --get-url origin
  12. [ ] https://github.com/flutter/flutter.git
  13. [ +204 ms] executing: [d:\WebProjects\utils\flutter/] git rev-parse --abbrev-ref HEAD
  14. [ +99 ms] Exit code 0 from: git rev-parse --abbrev-ref HEAD
  15. [ ] stable
  16. [ +113 ms] Artifact Instance of 'AndroidGenSnapshotArtifacts' is not required, skipping update.
  17. [ ] Artifact Instance of 'AndroidInternalBuildArtifacts' is not required, skipping update.
  18. [ ] Artifact Instance of 'IOSEngineArtifacts' is not required, skipping update.
  19. [ ] Artifact Instance of 'FlutterWebSdk' is not required, skipping update.
  20. [ +7 ms] Artifact Instance of 'WindowsEngineArtifacts' is not required, skipping update.
  21. [ ] Artifact Instance of 'MacOSEngineArtifacts' is not required, skipping update.
  22. [ ] Artifact Instance of 'LinuxEngineArtifacts' is not required, skipping update.
  23. [ ] Artifact Instance of 'LinuxFuchsiaSDKArtifacts' is not required, skipping update.
  24. [ ] Artifact Instance of 'MacOSFuchsiaSDKArtifacts' is not required, skipping update.
  25. [ ] Artifact Instance of 'FlutterRunnerSDKArtifacts' is not required, skipping update.
  26. [ ] Artifact Instance of 'FlutterRunnerDebugSymbols' is not required, skipping update.
  27. [ +70 ms] Artifact Instance of 'MaterialFonts' is not required, skipping update.
  28. [ +1 ms] Artifact Instance of 'GradleWrapper' is not required, skipping update.
  29. [ +6 ms] Artifact Instance of 'AndroidInternalBuildArtifacts' is not required, skipping update.
  30. [ ] Artifact Instance of 'IOSEngineArtifacts' is not required, skipping update.
  31. [ ] Artifact Instance of 'FlutterWebSdk' is not required, skipping update.
  32. [ ] Artifact Instance of 'FlutterSdk' is not required, skipping update.
  33. [ ] Artifact Instance of 'WindowsEngineArtifacts' is not required, skipping update.
  34. [ ] Artifact Instance of 'MacOSEngineArtifacts' is not required, skipping update.
  35. [ ] Artifact Instance of 'LinuxEngineArtifacts' is not required, skipping update.
  36. [ ] Artifact Instance of 'LinuxFuchsiaSDKArtifacts' is not required, skipping update.
  37. [ ] Artifact Instance of 'MacOSFuchsiaSDKArtifacts' is not required, skipping update.
  38. [ ] Artifact Instance of 'FlutterRunnerSDKArtifacts' is not required, skipping update.
  39. [ ] Artifact Instance of 'FlutterRunnerDebugSymbols' is not required, skipping update.
  40. [ ] Artifact Instance of 'IosUsbArtifacts' is not required, skipping update.
  41. [ ] Artifact Instance of 'IosUsbArtifacts' is not required, skipping update.
  42. [ ] Artifact Instance of 'IosUsbArtifacts' is not required, skipping update.
  43. [ ] Artifact Instance of 'IosUsbArtifacts' is not required, skipping update.
  44. [ ] Artifact Instance of 'IosUsbArtifacts' is not required, skipping update.
  45. [ ] Artifact Instance of 'FontSubsetArtifacts' is not required, skipping update.
  46. [ ] Artifact Instance of 'PubDependencies' is not required, skipping update.
  47. [ +62 ms] Skipping pub get: version match.
  48. [ +149 ms] Generating
  49. G:\Projects\flutter\test\android\app\src\main\java\io\flutter\plugins\GeneratedPluginRegistrant.java
  50. [ +104 ms] 💪 Building with sound null safety 💪
  51. [ +26 ms] Running Gradle task 'assembleRelease'...
  52. [ +6 ms] Using gradle from G:\Projects\flutter\test\android\gradlew.bat.
  53. [ +6 ms] executing: d:\android\android studio\jre\bin\java -version
  54. [ +185 ms] Exit code 0 from: d:\android\android studio\jre\bin\java -version
  55. [ ] openjdk version "11.0.8" 2020-07-14
  56. OpenJDK Runtime Environment (build 11.0.8+10-b944.6842174)
  57. OpenJDK 64-Bit Server VM (build 11.0.8+10-b944.6842174, mixed mode)
  58. [ +2 ms] executing: [G:\Projects\flutter\test\android/] G:\Projects\flutter\test\android\gradlew.bat -Pverbose=true
  59. -Ptarget-platform=android-arm,android-arm64,android-x64 -Ptarget=lib\main.dart -Pdart-obfuscation=false
  60. -Ptrack-widget-creation=true -Ptree-shake-icons=true assembleRelease
  61. [+2483 ms] > Task :app:compileFlutterBuildRelease UP-TO-DATE
  62. [ +64 ms] > Task :app:packLibsflutterBuildRelease UP-TO-DATE
  63. [ +2 ms] > Task :app:preBuild UP-TO-DATE
  64. [ +1 ms] > Task :app:extractProguardFiles UP-TO-DATE
  65. [ ] > Task :app:preReleaseBuild UP-TO-DATE
  66. [ ] > Task :app:compileReleaseAidl NO-SOURCE
  67. [ ] > Task :app:compileReleaseRenderscript NO-SOURCE
  68. [ ] > Task :app:generateReleaseBuildConfig UP-TO-DATE
  69. [ ] > Task :app:checkReleaseAarMetadata UP-TO-DATE
  70. [ ] > Task :app:cleanMergeReleaseAssets UP-TO-DATE
  71. [ ] > Task :app:mergeReleaseShaders UP-TO-DATE
  72. [ ] > Task :app:compileReleaseShaders NO-SOURCE
  73. [ ] > Task :app:generateReleaseAssets UP-TO-DATE
  74. [ ] > Task :app:mergeReleaseAssets UP-TO-DATE
  75. [ ] > Task :app:copyFlutterAssetsRelease NO-SOURCE
  76. [ ] > Task :app:generateReleaseResValues UP-TO-DATE
  77. [ ] > Task :app:generateReleaseResources UP-TO-DATE
  78. [ ] > Task :app:mergeReleaseResources UP-TO-DATE
  79. [ ] > Task :app:createReleaseCompatibleScreenManifests UP-TO-DATE
  80. [ ] > Task :app:extractDeepLinksRelease UP-TO-DATE
  81. [ +79 ms] > Task :app:processReleaseMainManifest UP-TO-DATE
  82. [ +1 ms] > Task :app:processReleaseManifest FAILED
  83. [ +1 ms] Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
  84. [ ] Use '--warning-mode all' to show the individual deprecation warnings.
  85. [ ] See https://docs.gradle.org/6.7/userguide/command_line_interface.html#sec:command_line_warnings
  86. [ ] 14 actionable tasks: 1 executed, 13 up-to-date
  87. [ +1 ms] FAILURE: Build failed with an exception.
  88. [ +3 ms] * What went wrong:
  89. [ ] A problem was found with the configuration of task ':app:processReleaseManifest' (type
  90. 'ProcessMultiApkApplicationManifest').
  91. [ +1 ms] > File 'G:\Projects\flutter\test\build\app\intermediates\merged_manifest\release\out\AndroidManifest.xml'
  92. specified for property 'mainMergedManifest' does not exist.
  93. [ +1 ms] * Try:
  94. [ ] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log
  95. output. Run with --scan to get full insights.
  96. [ +1 ms] * Get more help at https://help.gradle.org
  97. [ ] BUILD FAILED in 2s
  98. [ +617 ms] Running Gradle task 'assembleRelease'... (completed in 3.5s)
  99. [ +6 ms] "flutter apk" took 3,964ms.
  100. [ +5 ms] Gradle task assembleRelease failed with exit code 1
  101. [ +49 ms]
  102. #0 throwToolExit (package:flutter_tools/src/base/common.dart:10:3)
  103. #1 AndroidGradleBuilder.buildGradleApp (package:flutter_tools/src/android/gradle.dart:464:9)
  104. <asynchronous suspension>
  105. #2 AndroidGradleBuilder.buildApk (package:flutter_tools/src/android/gradle.dart:231:5)
  106. <asynchronous suspension>
  107. #3 BuildApkCommand.runCommand (package:flutter_tools/src/commands/build_apk.dart:105:5)
  108. <asynchronous suspension>
  109. #4 FlutterCommand.run.<anonymous closure>
  110. (package:flutter_tools/src/runner/flutter_command.dart:1043:27)
  111. <asynchronous suspension>
  112. #5 AppContext.run.<anonymous closure> (package:flutter_tools/src/base/context.dart:150:19)
  113. <asynchronous suspension>
  114. #6 CommandRunner.runCommand (package:args/command_runner.dart:196:13)
  115. <asynchronous suspension>
  116. #7 FlutterCommandRunner.runCommand.<anonymous closure>
  117. (package:flutter_tools/src/runner/flutter_command_runner.dart:284:9)
  118. <asynchronous suspension>
  119. #8 AppContext.run.<anonymous closure> (package:flutter_tools/src/base/context.dart:150:19)
  120. <asynchronous suspension>
  121. #9 FlutterCommandRunner.runCommand (package:flutter_tools/src/runner/flutter_command_runner.dart:232:5)
  122. <asynchronous suspension>
  123. #10 run.<anonymous closure>.<anonymous closure> (package:flutter_tools/runner.dart:62:9)
  124. <asynchronous suspension>
  125. #11 AppContext.run.<anonymous closure> (package:flutter_tools/src/base/context.dart:150:19)
  126. <asynchronous suspension>
  127. #12 main (package:flutter_tools/executable.dart:91:3)
  128. <asynchronous suspension>
  129.  
  130.  
  131. [ +61 ms] ensureAnalyticsSent: 57ms
  132. [ +2 ms] Running shutdown hooks
  133. [ +1 ms] Shutdown hooks complete
  134. [ +1 ms] exiting with code 1
RAW Paste Data